{ config, lib, pkgs, inputs, ... }:
{
  imports = [ 
    ./hardware-configuration.nix
    ../../profiles/base.nix
    ../../profiles/desktop.nix
  ];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.kernelPackages = pkgs.linuxPackages_latest;
  boot.tmp.cleanOnBoot = true;
  boot.binfmt.preferStaticEmulators = true;
  boot.binfmt.emulatedSystems = [
    "aarch64-linux"
    "armv6l-linux"
    "armv7l-linux"
  ];

  virtualisation = {
    podman = {
      enable = true;
      dockerCompat = true;
      dockerSocket.enable = true;
    };
    libvirtd = {
      enable = true;
      onBoot = "ignore";
      onShutdown = "shutdown";
      qemu = {
        swtpm.enable = true;
      };
    };
    spiceUSBRedirection.enable = true;
  };

  services.ollama = {
    enable = true;
    acceleration = "rocm";
    package = pkgs.unstable.ollama-rocm;
  };
  services.open-webui = {
    enable = true;
    port = 11111;
    package = pkgs.unstable.open-webui;
  };

  services.fprintd.enable = true;

  services.xserver.windowManager.i3.enable = true;
  services.xserver.resolutions = [ {x = 2560; y = 1600; } ];
  services.xserver.dpi = lib.mkForce 108;
  services.desktopManager.gnome.enable = true;
  services.gnome = {
    core-apps.enable = false;
    core-developer-tools.enable = false;
    games.enable = false;
  };
  environment.gnome.excludePackages = with pkgs; [
    gnome-tour
    gnome-user-docs
  ];
  
  services.flatpak.enable = true;
  xdg.portal.extraPortals = with pkgs; [
    xdg-desktop-portal-gtk
    xdg-desktop-portal-gnome
    xdg-desktop-portal-xapp
    kdePackages.xdg-desktop-portal-kde
  ];

  programs.steam = {
    enable = true;
    #extest.enable = true;
    fontPackages = with pkgs; [
      noto-fonts
      noto-fonts-cjk-sans
      noto-fonts-cjk-serif
    ];
  };

  environment.systemPackages = (with pkgs; [
    vim
    tmux
    saleae-logic-2
    my-ricing-assets
    xdg-desktop-portal-gtk
    xdg-desktop-portal-gnome
    xdg-desktop-portal-xapp
    kdePackages.xdg-desktop-portal-kde
  ]) ++ (with pkgs.gnomeExtensions; [
    kiwi-menu
    blur-my-shell
    dash-to-dock
  ]);

  environment.variables = {
    MY_RICING_ASSETS_PATH = "${pkgs.my-ricing-assets}/";
  };

  nixpkgs.config.allowUnfree = true;

  networking.hostName = "wakugumi-hitoroku";
  networking.firewall.enable = true;

  system.stateVersion = "25.11"; 
}

